%INIT BOOST
%Converter parameters
L_boost = 37e-3; %H
r_L_boost = 1; %Ohm 

C_boost = 3300e-6; %F
u_init_C_boost = 200; %V

R_load = 332; %Ohm

T_sample = 1e-6;

t_rc_out = 1/(R_load*C_boost)

%PI controller parameters
f_pwm = 1e4;

Kp = 0.45*18
Ki = 1/(0.85*0.043)
Kd = 0;
f_reg = 1e6;
Tawu = 1;
T_filter = 5e-4;

U_ref = 200;
U_in = 60;
I_ref = U_ref/U_in;

% %With current control
% Kpv = 2;
% Kiv = 3;
% Tawu_v = 1;
% 
% Kpi = 3;
% Kii = 5;
% Tawu_i = 1;
% 
